Subject: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path

From: Maxime Devos <[email-masked]>
Date: Mon, 19 Sep 2022 15:35:58 +0200

On 19-09-2022 06:28, Jacob Hrbek wrote:
>>> (2) 'native-inputs' (or 'inputs'), is unbound.  For information on how
> 
>>> to use search-input-file, inputs and phases, see the manual, in particular (guix)Build Utilities (index entry: search-input-file) >> and
> 
>>> its example.
> 
> I've been searching through that thing endlessly for almost 5 hours >_> it doesn't help much for that.. I can grep the code to look for usage though which is what I did here ^-^

Here are some proposed methods for finding it, which can be adapted for 
other searches as well.

  * "info guix" followed by 's' 'search-input-file'
    (free-form text search, good for finding examples)
  * "info guix" followed by 'i' 'search-input-file'
    (index entry, works well for procedure names)
  * "info guix" > "Programming Interface" > "Build Utilities", followed
     by some scrolling, then find 'search-input-file' there.
    (using the TOC)

The first two options only take a few seconds.  The latter can be quick 
or long, depending on whether your guess on where it's located is good 
or bad.

And a fourth option, since you seem to like grepping:

  * git grep -F search-input-file doc/
    (in a git checkout of Guix)

Greetings,
Maxime.